# buildAction

fun < T , O > Deferred< T >. buildAction (callback: suspend ( T ) -> O ): DeferredAction < T , O >(source)

Creates a DeferredAction from this Deferred and a callback function.

#### Return

A DeferredAction combining the deferred and callback

#### Parameters

callback

The suspending function to apply to the deferred value

#### Type Parameters

T

The type of the deferred value

O

The type of the result after applying the callback